> For the complete documentation index, see [llms.txt](https://docs.yarnspinner.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.oncommand.md).

# onCommand

Field in [DialogueRunner](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md)

## Summary

A [StringUnityEvent](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.stringunityevent.md) that is called when a [Command](/2.5/api/csharp/yarn/yarn.command.md) is received.

```csharp
public StringUnityEvent onCommand;
```

## Remarks

Use this method to dispatch a command to other parts of your game. This method is only called if the [Command](/2.5/api/csharp/yarn/yarn.command.md) has not been handled by a command handler that has been added to the [DialogueRunner](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md), or by a method on a `UnityEngine.MonoBehaviour` in the scene with the attribute [YarnCommandAttribute](/2.5/api/csharp/yarn.unity/yarn.unity.yarncommandattribute.md).

{% hint style="info" %}
When a command is delivered in this way, the [DialogueRunner](/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner.md) will not pause execution. If you want a command to make the DialogueRunner pause execution, see `AddCommandHandler(string, CommandHandler)`.
{% endhint %}

This method receives the full text of the command, as it appears between the `<<` and `>>` markers.

## See Also

* AddCommandHandler(string, CommandHandler)
* AddCommandHandler(string, CommandHandler)
* [YarnCommandAttribute](/2.5/api/csharp/yarn.unity/yarn.unity.yarncommandattribute.md): An attribute that marks a method on an object as a command.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.5/api/csharp/yarn.unity/yarn.unity.dialoguerunner/yarn.unity.dialoguerunner.oncommand.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
